// GobiImagePreferenceDlg.h : header file
//

#pragma once

// CGobiImgMgrDlg dialog
class CGobiImgMgrDlg : public CDialog
{
// Construction
public:
	CGobiImgMgrDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_GOBIIMGMGR_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
 	// Search for available device
	BOOL DeviceSearch();

	VOID FillImagesList();


	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	virtual void OnCancel();
	virtual void OnOK();
	DECLARE_MESSAGE_MAP()

	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg LRESULT OnNotifDeviceRemoval(WPARAM wParam, LPARAM lParam);
public:
	afx_msg void OnBnClickedSET_IMAGE_PREFERENCE();
	CStatic LBL_MODEMSEARCH;
	CListBox LST_AMSS;
	CListBox LST_UQCN;
	CButton btnSetPreference;
	CEdit edEdit1;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
};
